POST
/api/account/subscriptions/{subscriptionId}/cancel
const url = 'https://example.com/api/account/subscriptions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/cancel';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"reason":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/account/subscriptions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/cancel \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "reason": "example" }'Cancels one of the customer’s subscriptions. Enforces the merchant’s minimum term and any early-cancellation fee; if that fee is declined nothing changes (400). Cancelling a subscription that is already cancelled changes nothing and charges no fee (204).
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” subscriptionId
required
string format: uuid
Request Body
Section titled “Request Body ”Optional reason for a customer-initiated subscription cancellation.
object
reason
string
Example generated
{ "reason": "example"}Optional reason for a customer-initiated subscription cancellation.
object
reason
string
Example generated
{ "reason": "example"}Optional reason for a customer-initiated subscription cancellation.
object
reason
string
Example generated
{ "reason": "example"}Responses
Section titled “ Responses ”No Content
Bad Request
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}